## mars.venus
Class SettingsMemoryConfigurationAction

    java.lang.Object
      javax.swing.AbstractAction
          mars.venus.GuiAction
              mars.venus.SettingsMemoryConfigurationAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class SettingsMemoryConfigurationAction

extends GuiAction

Action class for the Settings menu item for text editor settings.

See Also:
  Serialized Form

Field Summary

Fields inherited from class mars.venus.GuiAction
`mainUI`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`SettingsMemoryConfigurationAction(String name, Icon icon, String descrip, Integer mnemonic, KeyStroke accel, VenusUI gui)` Create a new SettingsEditorAction.

Method Summary
`void` `actionPerformed(ActionEvent e)` When this action is triggered, launch a dialog to view and modify editor settings.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SettingsMemoryConfigurationAction

    public SettingsMemoryConfigurationAction(String name,
                                             Icon icon,
                                             String descrip,
                                             Integer mnemonic,
                                             KeyStroke accel,
                                             VenusUI gui)

  Create a new SettingsEditorAction. Has all the GuiAction parameters.

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  When this action is triggered, launch a dialog to view and modify editor settings.

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Overrides:
    `actionPerformed` in class `GuiAction`